schema_version: mapper-os/executable-blueprint
execution_start: BUILDPRINT.md
machine_contract: blueprint.yaml
blueprint_mode:
  primary: product
  secondary: [ui, api, worker, provider, data, deployment]
  phase_style: outcome_flow
source:
  input: https://github.com/Maxkrvo/OllamaChat
  checkout_path: origin-source-unavailable-dns-blocked
  commit: 45a25bf94e52c468db09459bd1d0e35061278f42
  source_dependency_policy: evidence_only_do_not_require_for_implementation
generated_at: "2026-05-29T07:30:00+02:00"
claim_status: PROOF_REQUIRED
setup_gate:
  questions: 01-questions.md
  project_setup: 02-project-setup.md
  required_before_phases: true
implementation_loop:
  required: true
  steps:
    - observe
    - plan
    - execute
    - verify
    - reflect
    - record
  completion_requires:
    - proof_gate_passed
    - evidence_recorded
repair_loop:
  on_failure:
    test_failed: current_phase
    build_failed: current_phase
    runtime_error: current_phase
    ui_quality_failed: current_phase
    proof_gate_failed: current_phase
    architecture_contradiction: 02-project-setup.md
    missing_human_preference: 01-questions.md
    missing_dependency_phase: required_prior_phase
    external_blocker: .buildprint/evidence/evidence-ledger.jsonl
phases:
  - phase_id: 01-provider-chat-runtime
    title: Provider Chat Runtime
    file: 03-phases/01-provider-chat-runtime.md
    status: INCLUDED_NEEDS_PROOF
  - phase_id: 02-multimodal-routing-agent-tools
    title: Multimodal Routing And Agent Tools
    file: 03-phases/02-multimodal-routing-agent-tools.md
    status: INCLUDED_RISKY_REQUIRES_HARDENING
  - phase_id: 03-knowledge-base-ingestion-retrieval
    title: Knowledge Base Ingestion And Retrieval
    file: 03-phases/03-knowledge-base-ingestion-retrieval.md
    status: INCLUDED_RISKY_REQUIRES_HARDENING
  - phase_id: 04-memory-review-injection
    title: Memory Review And Injection
    file: 03-phases/04-memory-review-injection.md
    status: INCLUDED_RISKY_REQUIRES_HARDENING
  - phase_id: 05-settings-data-lifecycle-operations
    title: Settings Data Lifecycle And Operations
    file: 03-phases/05-settings-data-lifecycle-operations.md
    status: INCLUDED_NEEDS_PROOF
  - phase_id: 06-voice-sidecar-experience
    title: Voice Sidecar Experience
    file: 03-phases/06-voice-sidecar-experience.md
    status: INCLUDED_RISKY_REQUIRES_HARDENING
context:
  phase_index: 03-phases/phase-index.yaml
  active_phase: 03-phases/01-provider-chat-runtime.md
  evaluation: 04-evaluation.md
  evidence_schema: 05-evidence/evidence-ledger.schema.json
generated_artifacts:
  agent_prompt: generated/agent-prompt.md
